pradeep_hebbar
2006-05-15, 05:18 AM
Hi,
A Handy tip. Have the following code in a *.lsp file & make it to load at startup of AutoCAD, by adding the *.lsp file to startup suite.
(defun c:OL()
(ssget '((0 . "LINE")))
)
(defun c:OC()
(ssget '((0 . "CIRCLE")))
)Eg: If you want to select only lines, type 'OL at prompt as follows.
Command: copy
Select objects: 'OL
Select objects: Specify opposite corner: 95 found
Select objects:
<Selection set: 3c>
95 found
Select objects:
Specify base point or [Displacement] <Displacement>:
Note that you have used OL transparently. By this All the objects except LINES, will be filtered out. Same theory applies to circles also.
Regards,
Pradeep Hebbar
[ Moderator Action = ON ] What are [ CODE ] tags... (http://forums.augi.com/misc.php?do=bbcode#code) [ Moderator Action = OFF ]
A Handy tip. Have the following code in a *.lsp file & make it to load at startup of AutoCAD, by adding the *.lsp file to startup suite.
(defun c:OL()
(ssget '((0 . "LINE")))
)
(defun c:OC()
(ssget '((0 . "CIRCLE")))
)Eg: If you want to select only lines, type 'OL at prompt as follows.
Command: copy
Select objects: 'OL
Select objects: Specify opposite corner: 95 found
Select objects:
<Selection set: 3c>
95 found
Select objects:
Specify base point or [Displacement] <Displacement>:
Note that you have used OL transparently. By this All the objects except LINES, will be filtered out. Same theory applies to circles also.
Regards,
Pradeep Hebbar
[ Moderator Action = ON ] What are [ CODE ] tags... (http://forums.augi.com/misc.php?do=bbcode#code) [ Moderator Action = OFF ]